Passer au contenu principal
GET
https://{tenantDomain}/api/v2
/
actions
/
modules
/
{id}
/
versions
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Actions.Modules;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Actions.Modules.Versions.ListAsync(
            id: "id",
            request: new GetActionModuleVersionsRequestParameters {
                Page = 1,
                PerPage = 1
            }
        );
    }

}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.actions.modules.versions.requests.GetActionModuleVersionsRequestParameters;

public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();

client.actions().modules().versions().list(
"id",
GetActionModuleVersionsRequestParameters
.builder()
.page(1)
.perPage(1)
.build()
);
}
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Actions\Modules\Versions\Requests\GetActionModuleVersionsRequestParameters;

$client = new Management(
token: '<token>',
);
$client->actions->modules->versions->list(
'id',
new GetActionModuleVersionsRequestParameters([
'page' => 1,
'perPage' => 1,
]),
);
from auth0.management import ManagementClient

client = ManagementClient(
token="<token>",
)

client.actions.modules.versions.list(
id="id",
page=1,
per_page=1,
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.actions.modules.versions.list(
id: "id",
page: 1,
per_page: 1
)
curl --request GET \
--url https://{tenantDomain}/api/v2/actions/modules/{id}/versions \
--header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}/api/v2/actions/modules/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{tenantDomain}/api/v2/actions/modules/{id}/versions"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "versions": [
    {
      "id": "<string>",
      "module_id": "<string>",
      "version_number": 123,
      "code": "<string>",
      "secrets": [
        {
          "name": "<string>",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "dependencies": [
        {
          "name": "<string>",
          "version": "<string>"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "per_page": 123
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

The unique ID of the module.

Paramètres de requête

page
integer

Use this field to request a specific page of the list results.

per_page
integer

The maximum number of results to be returned by the server in a single response. 20 by default.

Réponse

The module versions were retrieved.

versions
object[]

A list of ActionsModuleVersion objects.

total
integer

The total number of versions for this module.

page
integer

The page index of the returned results.

per_page
integer

The number of results requested per page.